//$Id$
-----------------------------------------
///\file "medical/dna/chem3/.README.txt"
///\brief ExampleChem3 README page

/*! \page ExampleChem3 Example chem3

\section Chem3_s1 General description
  
This example is provided by the Geant4-DNA collaboration.

  These processes and models are further described at:
  http://geant4-dna.org

  Any report or published results obtained using the Geant4-DNA software shall 
  cite the following Geant4-DNA collaboration publications:
  Phys. Med. 31 (2015) 861-874
  Med. Phys. 37 (2010) 4692-4708

  How to activate chemistry code.
  How to set minimum time step limits using TimeStepAction.

\section Chem3_s2 GEOMETRY DEFINITION
 
  It is a simple sphere which represents a 'semi infinite' homogeneous medium.
    
  Two parameters define the geometry :
   - the material of the sphere,
   - the full size of the sphere.
        
  The default geometry is constructed in DetectorConstruction class.
 	
\section Chem3_s3 PHYSICS LIST
  
  The physics list is initialized in G4EmDNAChemistry, together with chemical
  stage models configuration.
 	 
\section Chem3_s4 AN EVENT: THE PRIMARY GENERATOR
 
  The primary kinematic consists of a single particle starting at the center of 
  the sphere. The type of the particle and its energy are set in the 
  PrimaryGeneratorAction class, and can be changed via the G4 build-in commands 
  of G4ParticleGun class.
  The chemistry module is triggered in the StackingAction class when all 
  physical tracks have been processed.

 \section Chem3_s5 HOW TO START ?

  Run the example from this directory.
  The user interface will be launched. Continue using /run/beamOn 1 command.

\section Chem3_s6 OUTPUT 	

  Physics initialization and the defined reaction table are printed.
  G4ITStepManager processes the chemical stage time step after time step.
  Chemical reactions are printed.
  In the GUI window a cummulative trajectory of the chemical species is drawn.
  
\section Chem3_s7 TIME EVOLUTION VISUALIZATION

  User can start a visualization of the chemical track evolution in time and 
  space using /control/execute movie.mac.
  Note, that in default setup the simulation requires machine with 6 GB of RAM.
  To lower memory requirements, either decrease energy of the incident electron
  in prep.mac or/and shorten the simulation using SetEndTime setting in 
  src/ActionInitialization.cc.
  
*/

